GET /pool/{uuid}/httpcachestats/

GET /pool/{uuid}/httpcachestats/

/pool/{uuid}/httpcachestats/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/httpcachestats
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns HttpCacheStats of type(s) application/json
{
    "additions": 0,
    "available_size": 0,
    "current_size": 0,
    "deletions": 0,
    "hits": 0,
    "lookups": 0,
    "objects": 0,
    "out_of_mem_evicts": 0,
    "proc_id": "string",
    "se_uuid": "string",
    "served_bytes": 0
}
integer As uint64 As uint64
additions
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
available_size
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
current_size
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
deletions
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
hits
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
lookups
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
objects
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
out_of_mem_evicts
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
proc_id
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
served_bytes
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/httpcachestats